; -- SketchupInstaller.iss --
; A Inno setup template for Sketchup ruby plugins
; Inno setup homepage: http://www.jrsoftware.org/isinfo.php
; Change whereever it says "MyPlugin" to the name of your plugin.

[Setup]
;Name of your plugin
AppName=MyPlugin
AppVerName=MyPlugin Version 1

;This is the location that the installer gets the files from.
;In this case the sketchup plugins directory.
SourceDir="c:\program files\google\google sketchup 6\plugins\"

;This is where the setup.exe will be after this script is compiled
OutputDir=MyPlugin\installer

;This is the name of the setup.exe. In this case SetupMyPluging.exe
OutputBaseFilename=SetupMyPlugin

;This is where the uninstall.exe will be once the plugin is installed.
UninstallFilesDir={app}\MyPlugin\uninst

; Dont change these
DefaultDirName={pf}\Google\Google Sketchup 6\plugins\
Compression=lzma
SolidCompression=yes

;This trys to insure the the plugin is installed in the right location.
EnableDirDoesntExistWarning=yes
DirExistsWarning=no
[Messages]
DirDoesntExist=The folder:%1 does not exist! %nThat means you are not installing in the right directory. This plugin MUST be installed in the Google Sketchup \plugins directory. %n%nWould you like to install here anyway? Not Recomended.

;Here is where you specify what files to install and where they go.
;In this example there is a single MyPlugins.rb file that goes in the plugins directory "{app}"
;And several support (*.rb) files installed in a folder called "MyPlugin"
;And several support images located in "MyPlugin\images"
[Files]
Source: "MyPlugin.rb"; DestDir: "{app}"
Source: "MyPlugin\*.rb"; DestDir: "{app}\MyPlugin"
Source: "MyPlugin\Images\*"; DestDir: "{app}\MyPlugin\Images"

;result is something like this.
;Something like this:
;Google Sketchup 6\Plugins\MyPlugin.rb
;Google Sketchup 6\Plugins\MyPlugin\other.rb
;Google Sketchup 6\Plugins\MyPlugin\support.rb
;Google Sketchup 6\Plugins\MyPlugin\file.rb
;Google Sketchup 6\Plugins\MyPlugin\images\one.jpg
;Google Sketchup 6\Plugins\MyPlugin\images\two.gif
;Google Sketchup 6\Plugins\MyPlugin\uninst\uninst.exe


